> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Flux Generate Summary



## OpenAPI

````yaml /openapi/flux.json post /flux/videos
openapi: 3.0.0
info:
  title: Flux
  version: 1.0.0
  description: API reference for Flux on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /flux/videos:
    post:
      summary: Flux Generate Summary
      operationId: flux_generate_video
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FluxVideoInputsBody'
      responses:
        '200':
          description: Flux Generate Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  task_id:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        model:
                          type: string
                        video_url:
                          type: string
                        seconds:
                          type: number
                        width:
                          type: integer
                        height:
                          type: integer
                        fps:
                          type: number
                        draft_task_id:
                          type: string
                  usage:
                    type: object
                    properties:
                      seconds:
                        type: number
                      output_mp_seconds:
                        type: number
                      mode:
                        type: string
                      resolution:
                        type: string
                      draft:
                        type: boolean
                      action:
                        type: string
                        enum:
                          - generate
        '503':
          description: Flux Video Unavailable Description
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                  trace_id:
                    type: string
                  task_id:
                    type: string
      security:
        - bearerAuth: []
components:
  schemas:
    FluxVideoInputsBody:
      oneOf:
        - $ref: '#/components/schemas/Flux3VideoInputsBody'
      description: Flux Video Action Description
      properties:
        action:
          type: string
          enum:
            - generate
          default: generate
    Flux3VideoInputsBody:
      oneOf:
        - $ref: '#/components/schemas/Flux3VideoT2VInputs'
        - $ref: '#/components/schemas/Flux3VideoI2VInputs'
        - $ref: '#/components/schemas/Flux3VideoV2VInputs'
        - $ref: '#/components/schemas/Flux3VideoDraftEnhanceInputs'
      discriminator:
        propertyName: mode
        mapping:
          draft_enhance: '#/components/schemas/Flux3VideoDraftEnhanceInputs'
          i2v: '#/components/schemas/Flux3VideoI2VInputs'
          t2v: '#/components/schemas/Flux3VideoT2VInputs'
          v2v: '#/components/schemas/Flux3VideoV2VInputs'
    Flux3VideoT2VInputs:
      properties:
        prompt:
          type: string
        aspect_ratio:
          anyOf:
            - type: string
              enum:
                - '21:9'
                - '2:1'
                - '16:9'
                - '4:3'
                - '1:1'
                - '3:4'
                - '9:16'
                - '9:21'
            - type: string
              enum:
                - auto
          default: auto
        duration:
          anyOf:
            - type: integer
              maximum: 20
              minimum: 5
            - type: string
              enum:
                - auto
          default: auto
        resolution:
          type: string
          enum:
            - hd
            - fhd
            - qhd
            - uhd
          default: hd
        version:
          type: string
          enum:
            - latest
          default: latest
        generate_audio:
          type: boolean
          default: true
        safety_tolerance:
          type: integer
          maximum: 4
          minimum: 0
          default: 2
        draft:
          type: boolean
          default: false
        mode:
          type: string
          enum:
            - t2v
        async:
          type: boolean
          default: false
        callback_url:
          type: string
          format: uri
        model:
          type: string
          enum:
            - flux-3
          default: flux-3
        action:
          type: string
          enum:
            - generate
          default: generate
      additionalProperties: false
      type: object
      required:
        - prompt
        - mode
    Flux3VideoI2VInputs:
      properties:
        prompt:
          type: string
        aspect_ratio:
          anyOf:
            - type: string
              enum:
                - '21:9'
                - '2:1'
                - '16:9'
                - '4:3'
                - '1:1'
                - '3:4'
                - '9:16'
                - '9:21'
            - type: string
              enum:
                - auto
          default: auto
        duration:
          anyOf:
            - type: integer
              maximum: 20
              minimum: 5
            - type: string
              enum:
                - auto
          default: auto
        resolution:
          type: string
          enum:
            - hd
            - fhd
            - qhd
            - uhd
          default: hd
        version:
          type: string
          enum:
            - latest
          default: latest
        generate_audio:
          type: boolean
          default: true
        safety_tolerance:
          type: integer
          maximum: 4
          minimum: 0
          default: 2
        draft:
          type: boolean
          default: false
        mode:
          type: string
          enum:
            - i2v
        keyframes:
          anyOf:
            - type: string
            - type: array
              maxItems: 2
              minItems: 2
              items:
                anyOf:
                  - type: number
                  - type: string
            - items:
                type: string
              type: array
            - items:
                type: array
                maxItems: 2
                minItems: 2
                items:
                  anyOf:
                    - type: number
                    - type: string
              type: array
        async:
          type: boolean
          default: false
        callback_url:
          type: string
          format: uri
        model:
          type: string
          enum:
            - flux-3
          default: flux-3
        action:
          type: string
          enum:
            - generate
          default: generate
      additionalProperties: false
      type: object
      required:
        - prompt
        - mode
        - keyframes
    Flux3VideoV2VInputs:
      properties:
        prompt:
          type: string
        aspect_ratio:
          anyOf:
            - type: string
              enum:
                - '21:9'
                - '2:1'
                - '16:9'
                - '4:3'
                - '1:1'
                - '3:4'
                - '9:16'
                - '9:21'
            - type: string
              enum:
                - auto
          default: auto
        duration:
          anyOf:
            - type: integer
              maximum: 15
              minimum: 5
            - type: string
              enum:
                - auto
          default: auto
        resolution:
          type: string
          enum:
            - hd
            - fhd
            - qhd
            - uhd
          default: hd
        version:
          type: string
          enum:
            - latest
          default: latest
        generate_audio:
          type: boolean
          default: true
        safety_tolerance:
          type: integer
          maximum: 4
          minimum: 0
          default: 2
        draft:
          type: boolean
          default: false
        mode:
          type: string
          enum:
            - v2v
        start_video:
          type: string
        async:
          type: boolean
          default: false
        callback_url:
          type: string
          format: uri
        model:
          type: string
          enum:
            - flux-3
          default: flux-3
        action:
          type: string
          enum:
            - generate
          default: generate
      additionalProperties: false
      type: object
      required:
        - prompt
        - mode
        - start_video
    Flux3VideoDraftEnhanceInputs:
      properties:
        mode:
          type: string
          enum:
            - draft_enhance
        resolution:
          type: string
          enum:
            - hd
            - fhd
            - qhd
            - uhd
          default: fhd
        safety_tolerance:
          type: integer
          maximum: 4
          minimum: 0
          default: 2
        draft_task_id:
          type: string
        async:
          type: boolean
          default: false
        callback_url:
          type: string
          format: uri
        model:
          type: string
          enum:
            - flux-3
          default: flux-3
        action:
          type: string
          enum:
            - generate
          default: generate
      additionalProperties: false
      type: object
      required:
        - mode
        - draft_task_id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.